org.apache.hadoop.mapred.nativetask

## Enum DataChannel

- java.lang.Object
- - java.lang.Enum<DataChannel>
  - - org.apache.hadoop.mapred.nativetask.DataChannel

- All Implemented Interfaces:
    Serializable, Comparable<DataChannel>

      @InterfaceAudience.Private
      public enum DataChannel
      extends Enum<DataChannel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN` We will only read data from this channel
    `INOUT` We will do both read and write for this channel
    `NONE` There is no data exchange
    `OUT` We will only write data from this channel

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataChannel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataChannel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN

          public static final DataChannel IN

      We will only read data from this channel

    - #### OUT

          public static final DataChannel OUT

      We will only write data from this channel

    - #### INOUT

          public static final DataChannel INOUT

      We will do both read and write for this channel

    - #### NONE

          public static final DataChannel NONE

      There is no data exchange

  - ### Method Detail

    - #### values

          public static DataChannel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataChannel c : DataChannel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataChannel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.